<%--
   * Copyright (C) 2005-2010 Alfresco Software Limited.
 *
 * This file is part of Alfresco
 *
 * Alfresco is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Alfresco is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Alfresco. If not, see <http://www.gnu.org/licenses/>.
--%>

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="/WEB-INF/alfresco.tld" prefix="a" %>
<%@ taglib uri="/WEB-INF/repo.tld" prefix="r" %>
<%@ page isELIgnored="false" %>

<script type="text/javascript">
  addEventToElement(window, 'load', pageLoaded, false);
  function pageLoaded() { document.getElementById("wizard:finish-button").focus(); }
</script>

<h:panelGrid columns="1" cellpadding="2" style="padding-top: 4px; padding-bottom: 4px;"
             width="100%" rowClasses="wizardSectionHeading">
  <h:outputText value="&nbsp;#{msg.general_properties}" escape="false" />
</h:panelGrid>

<h:panelGrid columns="1" cellpadding="3" cellspacing="3" border="0" width="100%">
  <a:selectList id="form-list" 
                multiSelect="false"
                activeSelect="true" 
                style="width:100%"
                itemStyle="vertical-align: top; margin-right: 5px; padding-right: 5px;"
                escapeItemLabel="false" escapeItemDescription="false">
    <a:listItem label="${WizardManager.bean.formLabelAttribute}" value="${WizardManager.bean.formName}" 
                image="/images/icons/webform_large.gif"
                description="${WizardManager.bean.formDescriptionAttribute}" />
  </a:selectList>
</h:panelGrid>

<h:panelGrid columns="1" cellpadding="2" style="padding-top: 4px; padding-bottom: 4px;"
             width="100%" rowClasses="wizardSectionHeading">
  <h:outputText value="&nbsp;#{msg.rendering_engine_templates}" escape="false" />
</h:panelGrid>

<h:panelGrid columns="1" cellpadding="3" cellspacing="3" border="0" width="100%">
  <h:outputText rendered="#{empty WizardManager.bean.renderingEngineTemplates}"
                value="#{msg.no_selected_items}"/>

  <a:selectList id="rendering-engine-template-list" 
                multiSelect="false"
                itemStyle="vertical-align: top; margin-right: 5px; padding-right: 5px;"
                activeSelect="true" 
                style="width:100%"
                escapeItemLabel="false" escapeItemDescription="false">
    <c:forEach items="${WizardManager.bean.renderingEngineTemplates}" var="ret">
      <a:listItem label="${ret.renderingEngineLabelAttribute}"
                  value="${ret.name}"
                  image="/images/icons/template_large.gif"
                  description="${ret.renderingEngineDescriptionAttribute}" />
    </c:forEach>
  </a:selectList>
</h:panelGrid>

<h:panelGrid columns="1" cellpadding="2" style="padding-top: 4px; padding-bottom: 4px;"
             width="100%" rowClasses="wizardSectionHeading">
  <h:outputText value="&nbsp;#{msg.default_workflow}" escape="false" />
</h:panelGrid>

<h:panelGrid columns="1" cellpadding="3" cellspacing="3" border="0" width="100%">
  <h:outputText value="#{msg.no_selected_items}" 
                rendered="#{WizardManager.bean.defaultWorkflowDefinition == null}"/>
  <a:selectList id="workflow-list" 
                rendered="#{WizardManager.bean.defaultWorkflowDefinition != null}"
                multiSelect="false"
                activeSelect="true" 
                itemStyle="vertical-align: top; margin-right: 5px; padding-right: 5px;"
                style="width:100%"
                escapeItemLabel="false" escapeItemDescription="false">
    <a:listItem label="${WizardManager.bean.workflowLabelAttribute}"
                value="${WizardManager.bean.defaultWorkflowDefinition.name}"
                image="/images/icons/workflow_large.gif"
                description="${WizardManager.bean.workflowDescriptionAttribute}" />
  </a:selectList>
</h:panelGrid>
